Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
slightly updated SPU2 Plugin
#1
should only work on processors with AVX2 (4th generation core processor (haswells) or higher) and windows 10.

this will allow it to access XAudio2_9.dll rather than the XAudio2.7(windows 7) or 2.8(windows 8)

actually i just found there is a redistributable version of xaudio2.9 for windows7 and 8. There's no excuse to be still compiling to xaudio2.7.

https://docs.microsoft.com/en-us/windows...tributable
"A version of XAudio 2.9 is available as a NuGet package. Developers can redistribute this version of XAudio 2.9 with their apps. This allows an app to use XAudio 2.9 on older versions of Windows that do no not include XAudio 2.9 as part of the operating system image. Use of this redistributable is preferred over redistributing XAudio 2.7 from the DirectX SDK, as XAudio 2.7 has not been updated since 2010."


Attached Files
.zip   Spu2-XSetaEdit.zip (Size: 1,88 MB / Downloads: 44)
Reply

Sponsored links

#2
Works fine on my non-AVX2 (i5 3570k Ivy Bridge) CPU, even with XA2 as output module.
OS is Win10.
Reply
#3
(01-25-2020, 07:43 PM)rama Wrote: Works fine on my non-AVX2 (i5 3570k Ivy Bridge) CPU, even with XA2 as output module.
OS is Win10.
that's cool then.
Reply
#4
Seems to work with my SSE 4.1 CPU too (no AVX) with XA2 and Win10,
 though I can't tell if it actually makes use of XAudio2_9.dll or if it fallbacks on older dll-versions.
Reply
#5
There's no excuse now, no.
If you could help plugging in that nuget thing though, it would be much appreciated I guess.
(you weren't the first tho, turtleli already did some "full new" builds)
Reply




Users browsing this thread: 1 Guest(s)